<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmEnumeratorCustomReference5 Interface
See Also Members Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : IEdmEnumeratorCustomReference5 Interface

Visual Basic
C#
C++/CLI

Allows you to access custom file references.

NOTE: Click the Members link, located near the top of the topic, to see this interface's methods and properties.

# Syntax

Visual Basic |
--- | ---

    Public Interface IEdmEnumeratorCustomReference5

C# |
--- | ---

    public interface IEdmEnumeratorCustomReference5

C++/CLI |
--- | ---

    public interface class IEdmEnumeratorCustomReference5

# Example

Access Custom File References (VB.NET)
Access Custom File References (C#)

# Remarks

This interface:

- inherits from IDispatch. See IDispatch Interface (Automation).
- is extended by IEdmEnumeratorCustomReference6 which adds the ability to specify or get the number of times that a file is referenced by this file.

To use this interface:

1. Get the file to which you want to add references from the vault using IEdmVault5::GetFileFromPath.
2. Cast the IEdmFile5 object returned in step 1 to IEdmEnumeratorCustomReference5.
3. Get a pointer to the file reference using IEdmVault5::GetFileFromPath.
4. Call IEdmEnumeratorCustomReference::AddReference to add the file reference in step 3 to the file in step 1.

In the SOLIDWORKS PDM Professional user interface, you handle file references in the Contains page of the Properties dialog box. Using the API, you can perform the same file reference tasks that you do in the user interface, for example, adding, removing, and viewing file references. File references can be checked in like any other file in SOLIDWORKS PDM Professional.

# See Also

####

IEdmEnumeratorCustomReference5 Members
EPDM.Interop.epdm Namespace